Retrieve a Field Index

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/index

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • element_name: `field_123` string Required
  • type string Required

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • element_name: `field_123` string Required
GET /profiles/{profile_id}/pages/{page_id}/index
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/[servername]/profiles/self/pages/{page_id}/index' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "element_name: `field_123`": "",
  "type": "key or fulltext"
}'
Request example
{
  "element_name: `field_123`": "",
  "type": "key or fulltext"
}
Response examples (200)
[
  {
    "element_name": "field_123",
    "type": "FULLTEXT"
  },
  {
    "element_name": "field_456",
    "type": "KEY"
  }
]